# ImagickDraw::setStrokeColor

(PECL imagick 2.0.0)

ImagickDraw::setStrokeColor — Sets the color used for stroking object outlines

### Description

ImagickDraw::setStrokeColor ( ImagickPixel `$stroke_pixel` ) : bool
Warning

This function is currently not documented; only its argument list is available.

Sets the color used for stroking object outlines.

### Parameters

`stroke_pixel`

  the stroke color

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setStrokeColor()

`<?php
function setStrokeColor($strokeColor, $fillColor, $backgroundColor) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeWidth(5);
$draw->line(100, 100, 400, 145);
$draw->rectangle(100, 200, 225, 350);
$draw->setStrokeOpacity(0.1);
$draw->line(100, 120, 400, 165);
$draw->rectangle(275, 200, 400, 350);
$image = new \Imagick();
$image->newImage(500, 400, $backgroundColor);
$image->setImageFormat("png");
$image->drawImage($draw);
header("Content-Type: image/png");
echo $image->getImageBlob();
}
?>`